use std::io;

#[derive(thiserror::Error, Debug)]
pub enum Error {
    #[error("Communication timeout")]
    CommunicationTimeout,
    #[error("I/O error: {0}")]
    IoError(#[from] io::Error),
    #[error("Communication error: {0:?}")]
    CommunicationError(#[from] uipc::Error),
}
